Loading...
Searching...
No Matches
Etmv4PktAddrStack Class Reference
OpenCSD Library : Trace Packet Types

ETMv4 Address packet values stack. More...

`#include <trc_pkt_elem_etmv4i.h>`

## Public Member Functions

| Etmv4PktAddrStack ()
| ~Etmv4PktAddrStack ()
void | push (const ocsd_pkt_vaddr vaddr, const uint8_t isa)
void | get_idx (const uint8_t idx, ocsd_pkt_vaddr &vaddr, uint8_t &isa)
void | reset_stack ()

## Detailed Description

ETMv4 Address packet values stack.

This class represents a stack of recent broadcast address values - used to fulfil the ExactMatch address type where no address is output.

Definition at line 55 of file trc_pkt_elem_etmv4i.h.

## Constructor & Destructor Documentation

## Etmv4PktAddrStack()

Etmv4PktAddrStack::Etmv4PktAddrStack | ( |  | ) |

inline

Definition at line 58 of file trc_pkt_elem_etmv4i.h.

Here is the call graph for this function:

## ~Etmv4PktAddrStack()

Etmv4PktAddrStack::~Etmv4PktAddrStack | ( |  | ) |

inline

Definition at line 62 of file trc_pkt_elem_etmv4i.h.

## Member Function Documentation

## get_idx()

void Etmv4PktAddrStack::get_idx | ( | const uint8_t | idx,
|  | ocsd_pkt_vaddr & | vaddr,
|  | uint8_t & | isa )

inline

Definition at line 74 of file trc_pkt_elem_etmv4i.h.

## push()

void Etmv4PktAddrStack::push | ( | const ocsd_pkt_vaddr | vaddr,
|  | const uint8_t | isa )

inline

Definition at line 64 of file trc_pkt_elem_etmv4i.h.

## reset_stack()

void Etmv4PktAddrStack::reset_stack | ( |  | ) |

inline

Definition at line 84 of file trc_pkt_elem_etmv4i.h.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/opencsd/etmv4/trc_pkt_elem_etmv4i.h